function::print_stack
Prev | Chapter 2. Context Functions | Next

## Name

function::print_stack — Print out kernel stack from string

## Synopsis

        print_stack(stk:string)

## Arguments

`stk`

  String with list of hexadecimal addresses

## Description

This function performs a symbolic lookup of the addresses in the given string, which is assumed to be the result of a prior call to `backtrace`.

Print one line per address, including the address, the name of the function containing the address, and an estimate of its position within that function. Return nothing.

## NOTE

it is recommended to use `print_syms` instead of this function.

Prev | Up | Next
function::print_regs | Home | function::print_syms